## nvidia-graphics-drivers-legacy-304xx 304.125

=== debian/changelog ===
nvidia-graphics-drivers-legacy-304xx (304.125-1) unstable; urgency=medium

  * New upstream legacy 304xx branch release 304.125 (2014-12-05).
    * Fixes CVE-2014-8298.  (Closes: #772974)
    - Added support for X.Org xserver ABI 19 (xorg-server 1.17).
    - Improved compatibility with recent Linux kernels.
    - Implemented support for disabling indirect GLX context creation using
      the -iglx option available on X.Org server release 1.16 and newer.  Note
      that future X.Org server releases may make the -iglx option the default.
      To re-enable support for indirect GLX on such servers, use the +iglx
      option.
    - Added the "AllowIndirectGLXProtocol" X config option.  This option can
      be used to disallow use of GLX protocol.  See "Appendix B. X Config
      Options" in the README for more details.
  * Synchronize packaging with nvidia-graphics-drivers 340.65-2:
  * Synchronize packaging with nvidia-graphics-drivers 340.46-5:
    - nvidia-alternative: Ship /usr/share/nvidia (slave alternative location).
    - README.source: Document the nks-history.git repository.
    - bug-script: Collect more information.
  * Synchronize packaging with nvidia-graphics-drivers 340.46-4:
    - d/rules: Add #!armhf# and #!legacy# substitutions.
  * Synchronize packaging with nvidia-graphics-drivers 304.125-1:
    - Add xorg-video-abi-19 as alternative dependency.
  * conftest.h:
    - Implement check for drm/drm_gem.h (340.58).
    - Implement new conftest.sh functions pci_save_state (340.58), follow_pfn,
      fault_flags, atomic64_type (346.16).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Dec 2014 01:05:07 +0100

nvidia-graphics-drivers-legacy-304xx (304.123-4) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 340.46-3:
  * Synchronize packaging with nvidia-graphics-drivers 340.46-2:
    - bug-script: Collect more information.
    - d/rules{,.defs}: Drop MULTIARCH switch - this is always enabled nowadays.
    - Update lintian overrides.
  * conftest.h:
    - DRM is only supported on Linux >= 3.9.
    - Implement extensions to conftest.sh function vm_operations_struct
      (343.13).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Oct 2014 14:47:01 +0200

nvidia-graphics-drivers-legacy-304xx (304.123-3) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 340.46-1:
    - Bump Standards-Version to 3.9.6. No changes needed.
  * Synchronize packaging with nvidia-graphics-drivers 331.67-2:
    - Drop Breaks: make (= 3.82-1), fixed in make/experimental.
  * Synchronize packaging with nvidia-graphics-drivers 331.49-1:
    - bug-script: Report information about /etc/modprobe.d.
  * conftest.h:
    - Implement new conftest.sh function acpi_op_remove (304.123).
    - Implement new conftest.sh functions kbasename, fatal_signal_pending
      (331.38).
    - Implement new conftest.sh function kuid_t (331.49).
    - Implement new conftest.sh function pm_vt_switch_required (331.67).
    - Implement new conftest.sh function console_lock (331.79).
    - Implement new conftest.sh functions sg_table, sg_alloc_table (340.46).
    - Fix DRM support activation.
    - Tighten check for drm/drmP.h.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Oct 2014 16:43:08 +0200

nvidia-graphics-drivers-legacy-304xx (304.123-2) unstable; urgency=high

  * Fix FTBFS when building kernel module. (Closes: #755462, #755467)
  * Urgency=high because nvidia is currently completely broken in testing due
    to xserver 1.16 migration and ABI bump.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 21 Jul 2014 19:19:02 -0700

nvidia-graphics-drivers-legacy-304xx (304.123-1) unstable; urgency=medium

  * New upstream legacy 304xx branch release 304.123 (2014-07-10).
    - Improved compatibility with recent Linux kernels.
    - Fixed a bug that could result in system instability while restoring
      the VGA console.
    - Fixed an interaction problem with xserver 1.15 that occasionally caused
      OpenGL applications to continue rendering when they are minimized or
      unmapped.
    - Updated nvidia-bug-report.sh to search the systemd journal for X
      server logs and messages from the NVIDIA kernel module.
    - Added support for X.org xserver ABI 18 (xorg-server 1.16).
    - Fixed a bug that caused corruption or blank screens on monitors that use
      EDID version 1.3 or older when they are connected via DisplayPort on
      graphics boards that use external DisplayPort encoders, such as the Quadro
      FX 4800.
  * Add xorg-video-abi-18 as alternative dependency. (Closes: #754251)
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 18:26:24 -0700

nvidia-graphics-drivers-legacy-304xx (304.121-1) unstable; urgency=medium

  * New upstream legacy 304xx branch release 304.121 (2014-03-11).
    - Improved compatibility with recent Linux kernels.
      (Closes: #740097, #742404, #743907)
    - Fixed a bug that prevented the NVIDIA implementation of the Xinerama
      extension protocol requests from being used when RandR was enabled.
  * New upstream legacy 304xx branch release 304.119 (2014-01-23).
    - Fixed a crash when using WebGL in Firefox with a Geforce 6 GPU.
  * Synchronize packaging with nvidia-graphics-drivers 319.82-1:
    - Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 02:34:49 +0200

nvidia-graphics-drivers-legacy-304xx (304.117-1) unstable; urgency=medium

  * New upstream legacy 304xx branch release 304.117 (2013-12-11).
    - Added support for X.org xserver ABI 15 (xorg-server 1.15).
  * Add xorg-video-abi-15 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jan 2014 11:26:41 +0100

nvidia-graphics-drivers-legacy-304xx (304.116-2) unstable; urgency=low

  * Merge libxvmcnvidia1 back into libgl1-nvidia-legacy-304xx-glx to simplify
    the upgrade path from wheezy. This avoids automatic installation of the

