=== debian/control ===
#Source: nvidia-graphics-drivers${nvidia:Legacy}
Source: nvidia-graphics-drivers-legacy-304xx
Section: non-free/libs
Priority: optional
Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <luca.boccassi@gmail.com>,
Bugs: mailto: <v3g4n@mxlinux.org>
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-304xx/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-304xx/
Build-Depends:
 debhelper (>= 10),
 dpkg-dev (>= 1.17),
 xz-utils,
 dkms,
 libxext6,
 libxvmc1,
 quilt,
Standards-Version: 3.9.8
Homepage: http://www.nvidia.com
XS-Autobuild: yes

#Package: ${nvidia}-driver
Package: nvidia-legacy-304xx-driver
Section: non-free/x11
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any,
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-driver-bin
Package: nvidia-legacy-304xx-driver-bin
Section: non-free/x11
Architecture: i386 amd64
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Breaks:
 ${nvidia}-driver (<< ${nvidia:Deb-Version-After:jessie}),
Replaces:
 ${nvidia}-driver (<< ${nvidia:Deb-Version-After:jessie}),
Description: NVIDIA driver support binaries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

#Package: ${nvidia}-driver-libs
Package: nvidia-legacy-304xx-driver-libs
Architecture: i386 amd64
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs-i386 [amd64],
 lib${nvidia}-cfg1 (= ${binary:Version}),
Description: NVIDIA metapackage (OpenGL/GLX libraries)${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server.

#Package: ${nvidia}-driver-libs-i386
Package: nvidia-legacy-304xx-driver-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 ${nvidia}-driver-libs,
 ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx-i386,
Description: NVIDIA metapackage (OpenGL/GLX 32-bit libraries)${nvidia:LegacyDesc}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL/GLX libraries when installing ${nvidia}-driver-libs
 on amd64 with foreign architecture i386 enabled.

#Package: xserver-xorg-video-${nvidia}
Package: xserver-xorg-video-nvidia-legacy-304xx
Section: non-free/x11
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 lib${nvidia}-glcore (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: libgl1-${nvidia}-glx
Package: libgl1-nvidia-legacy-304xx-glx
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-glcore (= ${binary:Version}),
 nvidia-installer-cleanup (>= 20130816) [i386],
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Provides:
 libgl1-nvidia-glx-any,
Breaks:
 libxvmcnvidia1 (<< 305),
Replaces:
 libxvmcnvidia1 (<< 305),
Description: NVIDIA binary OpenGL/GLX library${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary OpenGL/GLX implementation
 provided by NVIDIA.

#Package: lib${nvidia}-glcore
Package: libnvidia-legacy-304xx-glcore
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-glcore-${nvidia:Version},
Conflicts:
 libnvidia-glcore-${nvidia:Version},
 libgl1-nvidia-glx-${nvidia:Version},
Breaks:
 libgl1-${nvidia}-glx (<< ${nvidia:Deb-Version-After:jessie}),
Replaces:
 libgl1-${nvidia}-glx (<< ${nvidia:Deb-Version-After:jessie}),
Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.
 .
 This package contains the private core libraries used by the NVIDIA
 implementation of OpenGL and GLX.

#Package: lib${nvidia}-cfg1
Package: libnvidia-legacy-304xx-cfg1
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Breaks:
 libgl1-${nvidia}-glx (<< ${nvidia:Deb-Version-After:jessie}),
Replaces:
 libgl1-${nvidia}-glx (<< ${nvidia:Deb-Version-After:jessie}),
Provides:
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

#Package: ${nvidia}-alternative
Package: nvidia-legacy-304xx-alternative
Architecture: i386 amd64
Multi-Arch: foreign
Pre-Depends:
 ${nvidia:legacy-check},
Depends:
 glx-alternative-nvidia (>= 0.7),
 ${misc:Depends}
Provides:
 ${nvidia}-alternative--kmod-alias,
Description: allows the selection of NVIDIA as GLX provider${nvidia:LegacyDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

#Package: ${nvidia}-kernel-support
Package: nvidia-legacy-304xx-kernel-support
Section: non-free/kernel
Architecture: i386 amd64
Multi-Arch: foreign
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia}-alternative--kmod-alias,
 nvidia-kernel-common (>= 20151021),
 nvidia-modprobe,
 ${misc:Depends}
Provides:
 nvidia-kernel-support-any,
 ${nvidia}-kernel-support--v1,
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Description: NVIDIA binary kernel module support files${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

#Package: ${nvidia}-kernel-dkms
Package: nvidia-legacy-304xx-kernel-dkms
Section: non-free/kernel
Architecture: i386 amd64
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 dkms,
 ${nvidia}-kernel-support--v1,
 ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}) | ${libcuda1} (>= ${nvidia:Version}),
Provides:
 ${nvidia}-kernel-${nvidia:Version},
Description: NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-kernel-source
Package: nvidia-legacy-304xx-kernel-source
Section: non-free/kernel
Architecture: i386 amd64
Depends:
 debhelper (>= 9),
 make,
 quilt,
 xz-utils,
 ${misc:Depends}
Recommends:
 module-assistant | kernel-package,
 ${nvidia}-kernel-support,
Suggests:
 ${nvidia}-driver (>= ${nvidia:Version}),
Breaks:
 module-assistant (<< 0.11.6~),
Description: NVIDIA binary kernel module source${nvidia:LegacyDesc}
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia}-kernel-source/README.Debian.gz
 for building information.  If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia}-kernel-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-vdpau-driver
Package: nvidia-legacy-304xx-vdpau-driver
Section: non-free/video
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 libvdpau1,
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Enhances:
 libvdpau1,
Provides:
 vdpau-driver,
Description: Video Decode and Presentation API for Unix - NVIDIA driver${nvidia:LegacyDescShort}
 These libraries provide the Video Decode and Presentation API for Unix.
