=== debian/rules ===
--- 
+++ 
@@ -6,52 +6,52 @@
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-NVIDIA_RELEASE		:= $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')
+NVIDIA_RELEASE		:= $(shell dpkg-parsechangelog --show-field=Version | sed -r 's/^[0-9]+://; s/-[^-]+$$//')
+BUILD_DATE		:= $(shell dpkg-parsechangelog --show-field=Date)
+
 include debian/rules.defs
 NVIDIA_LEGACY		?=
 WATCH_VERSION		?= $(NVIDIA_LEGACY)
 WATCH_PATTERN		?=
 XORG_ABI_LIST		?=
 XORG_BOUND		?=
-BACKPORT		?=
+LINUX_KMOD_TESTED	?=
+NVIDIA_LEGACY_CHECK	?=
 NVIDIA_SETTINGS		?= nvidia-settings$(legacy)
-NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
+ARCH_LIST		?= i386 amd64
+ARCH_DEPS_i386		?=
+
 version			 = $(NVIDIA_RELEASE)
 version_major		 = $(firstword $(subst ., ,$(version)))
+deb_version_after_jessie = $(DEB_VERSION_AFTER_jessie)
 nvidia			 = nvidia$(legacy)
 libcuda1		 = lib$(if $(legacy),$(nvidia)-)cuda1
 module			 = nvidia-$(current)
 current			 = $(if $(legacy),$(patsubst -%,%,$(legacy)),current)
 legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
 legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
-perfkit			 =
+legacy_description_short = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy))
 watch_pattern		 = $(or $(WATCH_PATTERN),$(if $(WATCH_VERSION),$(WATCH_VERSION)(?:\.[\d\.\-]+)?),[\d\.\-]+)
-filename_i386		 = $(NVIDIA_FILENAME_X86)
-filename_amd64		 = $(NVIDIA_FILENAME_X86_64)
-filename_armhf		 = $(NVIDIA_FILENAME_armhf)
-dirname_i386		 = $(NVIDIA_DIRNAME_X86)
-dirname_amd64		 = $(NVIDIA_DIRNAME_X86_64)
-dirname_armhf		 = $(NVIDIA_DIRNAME_armhf)
-ARCH_LIST		?= i386 amd64
-ARCH_DEPS_i386		?= amd64
+
+# this needs the internal names (i.e. upstream's names, not our renamed files)
+unload_modules		 =
+unload_modules		+= nvidia
 
 # system libdir
 libdir			?= usr/lib/$(DEB_HOST_MULTIARCH)
 # nvidia version specific directory below $(libdir)
 nvidia_private		 = nvidia/$(current)
 
-CONTROL_PREFIXES	 = nvidia-driver nvidia-glx libgl1-nvidia nvidia-kernel nvidia-alternative xserver-xorg-video-nvidia nvidia-modprobe
-CONTROL_PREFIXES	+= libnvidia-eglcore libegl1-nvidia libgles1-nvidia libgles2-nvidia
+CONTROL_PREFIXES	 = nvidia-driver nvidia-kernel nvidia-alternative xserver-xorg-video-nvidia
+CONTROL_PREFIXES	+= libnvidia
+CONTROL_PREFIXES	+= libgl1-nvidia
 CONTROL_PREFIXES	+= nvidia-vdpau-driver
 CONTROL_PREFIXES	+= libcuda1
-CONTROL_PREFIXES	+= nvidia-opencl-icd libnvidia-compiler
-CONTROL_PREFIXES	+= libnvidia-ml1 nvidia-smi
-CONTROL_PREFIXES	+= libnvidia-ifr1 libnvidia-fbc1
-CONTROL_PREFIXES	+= libnvidia-encode1 libnvcuvid1
-RENAME_nvidia-glx		 = nvidia-glx$(legacy)
-RENAME_nvidia-alternative	 = $(NVIDIA_ALTERNATIVE)
-RENAME_libnvcuvid1		 = lib$(if $(legacy),${nvidia}-)nvcuvid1
-RENAME_libcuda1			 = $(libcuda1)
+CONTROL_PREFIXES	+= libnvcuvid1
+CONTROL_PREFIXES	+= nvidia-smi
+CONTROL_PREFIXES	+= nvidia-opencl-icd
+RENAME_libcuda1		 = $(libcuda1)
+RENAME_libnvcuvid1	 = lib$(if $(legacy),${nvidia}-)nvcuvid1
 renamed_prefix		 = $(or $(RENAME_$1),$(subst nvidia,$(nvidia),$1))
 CONTROL_PREFIXES_RENAMED = $(foreach p,$(CONTROL_PREFIXES),$(call renamed_prefix,$p))
 
@@ -68,6 +68,7 @@
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= debian/module/debian/changelog
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
+AUTOGEN		+= debian/bug-control
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -78,6 +79,7 @@
 comma		 = ,
 xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) |)
 xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
+xorg_depends	+= $(comma) xserver-xorg-legacy | xserver-xorg-core (<< 2:1.18)
 xorg_provides	 = xorg-driver-video
 
 
@@ -87,19 +89,13 @@
 patch: prepare
 
 NVIDIA-Linux-%:
-	sh ${filename_$*} --extract-only
-	ln -s ${dirname_$*} $@
-	test -f $@/README.txt || \
-		mv $@/usr/share/doc/README.txt $@/README.txt 2>/dev/null || \
-		mv $@/usr/share/doc/README $@/README.txt
-	test -f $@/NVIDIA_Changelog || \
-		mv $@/usr/share/doc/NVIDIA_Changelog $@/
-	test -d $@/kernel || \
-		mv $@/usr/src/nv $@/kernel
-	-gunzip $@/*.1.gz
+	sh $*/${NVIDIA_FILENAME_$*} --extract-only
+	ln -s ${NVIDIA_DIRNAME_$*} $@
+	gunzip $@/*.1.gz
 
 # Unpack all architectures, we may need files from all of them.
 unpack-stamp: $(patsubst %,NVIDIA-Linux-%,$(ARCH_LIST))
+	$(if $(filter $(DEB_HOST_ARCH),$(ARCH_LIST)),,$(error Architecture $(DEB_HOST_ARCH) unsupported.))
 	dh_testdir
 	ln -s NVIDIA-Linux-$(DEB_HOST_ARCH) NVIDIA-Linux
 	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
@@ -141,12 +137,10 @@
 override_dh_auto_clean:
 	rm -fr .pc
 	rm -f NVIDIA-Linux
-	rm -fr $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(dirname_$a))
-	rm -fr debian/temp
+	rm -fr $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
 	rm -fr kernel-source-tree
 	rm -f nvidia.ids nv-kernel.ids nv-readme.ids pci.ids.nvidia*
 	rm -f LICENSE.txt LICENSE.tmp copyright.tmp
-	test ! -d debian/po || debconf-updatepo
 
 override_dh_clean:
 	dh_clean
@@ -167,15 +161,6 @@
 	rm -f debian/tmp/NVIDIA_Changelog
 	cp -al NVIDIA-Linux-amd64/NVIDIA_Changelog debian/tmp/
 	gzip -9fn debian/tmp/nvidia-smi.1
-
-	# Create xorg.conf.sample
-	test ! -f debian/tmp/usr/share/doc/XF86Config.sample || \
-	sed \
-	    -e 's/XF86Config(4\/5)/xorg.conf(5)/g' \
-	    -e 's/XF86Config/xorg.conf/g' \
-	    -e 's/XFree86/Xorg/g' \
-	    < debian/tmp/usr/share/doc/XF86Config.sample \
-	    > debian/tmp/usr/share/doc/xorg.conf.sample
 
 build-kernel-source-tree: install-into-tmp
 	# Build the nvidia-kernel-source tree.
@@ -188,17 +173,31 @@
 	# We only want Kbuild.
 	rm -f $(module_source)/makefile
 	rm -f $(module_source)/Makefile.nvidia
-	test ! -f $(module_source)/Makefile.kbuild || \
-		mv $(module_source)/Makefile.kbuild $(module_source)/Kbuild
-	test ! -f $(module_source)/Makefile || \
-		mv $(module_source)/Makefile $(module_source)/Kbuild
-	mv $(module_source)/conftest.sh $(module_source)/conftest_nvidia.sh
-
-	# For the nvidia-uvm module.
-	test ! -f $(module_source)/uvm/Makefile || \
-		mv $(module_source)/uvm/Makefile $(module_source)/uvm/Kbuild
-	test ! -d $(module_source)/uvm || \
-		ln -sf ../Makefile $(module_source)/uvm
-	test ! -d $(module_source)/uvm || \
-		ln -sf ../conftest.sh $(module_source)/uvm
-
+	mv $(module_source)/Makefile.kbuild $(module_source)/Makefile
+
+	# We may need nv-kernel.o for several architectures to accomodate
+	# all kernel flavors. Use Kbuild-compatible names.
+	rm -f $(module_source)/nv-kernel.o
+	$(foreach a,$(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)),cp -a NVIDIA-Linux-$a/kernel/nv-kernel.o $(module_source)/nv-kernel-$a.o_shipped ;)
+
+	# Install a debian/ tree.
+	cp -a debian/module/debian $(module_source)/
+	cp -a debian/copyright $(module_source)/debian/
+	cp -a debian/bug-script $(module_source)/debian/
+	cp -a debian/bug-control $(module_source)/debian/
+	echo "" >> $(module_source)/debian/bug-control
+	echo "Submit-As: $(nvidia)-kernel-source" >> $(module_source)/debian/bug-control
+
+	# Fix permissions.
+	chmod -R a-sx,u=rwX,go=rX $(module_source)/../..
+	chmod a+x $(module_source)/debian/rules
+	find '$(module_source)/../../modules' -depth -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+
+	# Build the tarball.
+	(cd $(module_source)/../.. && find modules -print0) | \
+	  LC_ALL=C sort -z | \
+	  tar cfJ $(module_txz) \
+	    --owner=root --group=src -C $(module_source)/../.. \
+	    --exclude '*.in' --exclude '.svn' \
+	    --no-recursion --null -T -
